Katello - Bug #24195

Audited associations are stored with _ids in audited changes
07/09/2018 06:28 AM - Marek Hulan

Status: Rejected
Priority: Normal
Assignee: Marek Hulan
Category:
Target version:
Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/750
Description

The new change (that will make it to 1.18) stores audited associations with *_ids’, that breaks katello tests where it's asserted, the
key is stored without _ids.

Related issues:
Related to Foreman - Bug #23965: audit: undefined method “each' for

":String Closed 06/17/2018

History

#1 - 07/09/2018 06:29 AM - Marek Hulan
- Related to Bug #23965: audit: undefined method “each’ for "":String added

#2 - 07/09/2018 06:29 AM - Marek Hulan
This needs to be cherry-picked to 3.7 (needed for tests compatibility with 1.18)

#3 - 07/09/2018 06:32 AM - The Foreman Bot

- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/katello/pull/7509 added

#4 - 07/09/2018 10:45 AM - Marek Hulan

- Status changed from Ready For Testing to Rejected

already being resolved under different ticket
